gr::satellites::fixedlen_to_pdu Class Reference

Fixedlen to PDU. More...

`#include <fixedlen_to_pdu.h>`

Inheritance diagram for gr::satellites::fixedlen_to_pdu:

## Public Types

typedef std::shared_ptr< fixedlen_to_pdu > | sptr

## Static Public Member Functions

static sptr | make (types::vector_type type, const std::string &syncword_tag, size_t packet_len, bool pack=false)

## Detailed Description

Fixedlen to PDU.

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<fixedlen_to_pdu> gr::satellites::fixedlen_to_pdu::sptr

## Member Function Documentation

## make()

static sptr gr::satellites::fixedlen_to_pdu::make | ( | types::vector_type | type,
|  | const std::string & | syncword_tag,
|  | size_t | packet_len,
|  | bool | pack = `false`
| ) |  |

static

Make a Fixedlen to PDU block.

The documentation for this class was generated from the following file:

- fixedlen_to_pdu.h